<?php
session_start();

if (!session_is_registered("clave_audio")) {
	include("../login.php");
	if (!$continuar) exit;
}

include('../db.php');

if(isset($_REQUEST['op'])){
	$operacion = $_REQUEST['op'];

// here I read the variables passed by the calling page.	
$seccion_orden=$_REQUEST['seccion_orden'];
$seccion_nombre=$_REQUEST['seccion_nombre'];
$seccion_descripcion=$_REQUEST['seccion_descripcion'];
$seccion_code=$_REQUEST['seccion_code'];

	
	if(db_connect()) {
		switch($operacion) {
			case "add":
				$sql = 'INSERT INTO shoop_secciones(seccion_orden, seccion_nombre, seccion_descripcion, seccion_code) VALUES("' . $seccion_orden . '", "' . $seccion_nombre . '", "' . $seccion_descripcion . '", "' . $seccion_code . '");';		
				break;

			case "edit":
				$sql = 'UPDATE shoop_secciones SET seccion_orden="' . $seccion_orden . '", seccion_nombre="' . $seccion_nombre . '", seccion_descripcion="' . $seccion_descripcion . '", seccion_code="' . $seccion_code . '" WHERE seccion_id = ' . $_REQUEST['id'];		
				break;

/*
			case "delete":
				$sql = 'DELETE FROM shoop_secciones WHERE seccion_id = ' . $_REQUEST['id'];
				break;
*/

			default:
				break;
		}
		$result = mysql_query($sql) or header('Location: ../error.php');
		header('Location: categorias.php');
	}
}
?>